{
  "schema_version": "1.4.0",
  "id": "GHSA-x7rm-43v9-j38p",
  "modified": "2022-05-17T02:04:49Z",
  "published": "2022-05-17T02:04:49Z",
  "aliases": [
    "CVE-2010-4057"
  ],
  "details": "solid.exe in IBM solidDB 6.5.0.3 and earlier does not properly perform a recursive call to a certain function upon receiving packet data containing many integer fields with two different values, which allows remote attackers to cause a denial of service (invalid memory access and daemon crash) via a TCP session on port 1315.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-4057"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/62590"
    },
    {
      "type": "WEB",
      "url": "http://aluigi.altervista.org/adv/soliddb_1-adv.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/41873"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1024597"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/15261"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2715"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-10-23T20:39:00Z"
  }
}